/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package test.compliance.notification;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Tests for notifications.
 *
 * @author <a href="mailto:AdrianBrock@HappeningTimes.com">Adrian Brock</a>.
 */
public class NotificationSUITE
  extends TestSuite
{
  /**
   * Run the tests
   * 
   * @param args the arguments for the test
   */
  public static void main(String[] args)
  {
    junit.textui.TestRunner.run(suite());
  }

  /**
   * Get a list of tests.
   *
   * @return the tests
   */
  public static Test suite()
  {
    TestSuite suite = new TestSuite("Notification Tests");

    suite.addTest(new TestSuite(AttributeChangeNotificationFilterTestCase.class));
    suite.addTest(new TestSuite(NotificationBroadcasterSupportTestCase.class));
    suite.addTest(new TestSuite(NotificationFilterSupportTestCase.class));

    return suite;
  }
}
